Bug 812204 - [RFE] abrt report should provide data on all registers, not just integer registers
[RFE] abrt report should provide data on all registers, not just integer regi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Milata
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 01:32 EDT by Jeff Law
Modified: 2014-01-08 02:06 EST (History)
8 users (show)

See Also:
Fixed In Version: abrt-2.1.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 02:06:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Law 2012-04-13 01:32:57 EDT
Description of problem:

The abrt report contains what appears to be the output from "info regs", which is definitely useful.  However, there are times when important values might be in the xmm, ymm or FP regs.

For example, I'm currently debugging the cluster of failures related to 811037 and the values I need to see are sitting in the xmm regs.

Version-Release number of selected component (if applicable):


How reproducible:

Look at any abrt report.  The register dump contains just integer registers, no xmm, ymm or FP registers are included.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
abrt report just contains contents of integer registers

Expected results:
abrt report should contain contents of all the registers

Additional info:
Comment 1 Martin Milata 2013-10-04 07:22:23 EDT
Committed upstream: https://github.com/abrt/abrt/commit/ef81af0fb33bfc6402e259e28764644bec0a4914

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.